[Rd] pdf default version

From: Kevin Wright <kwright68_at_gmail.com>
Date: Fri 15 Sep 2006 - 17:12:54 GMT


R has had the ability to generate pdfs with transparent colors for a couple of years now using pdf(..., version="1.4").

By default, Sweave uses just 'pdf' (without version 1.4), so a hack is needed when using Sweave to create pdfs with transparent colors. See http://tolstoy.newcastle.edu.au/R/help/04/11/6655.html

I would find my work process simpler if R defaulted to generating PDFs using version="1.4". The help page for R's pdf command says there is a risk of some older pdf viewers not being able to view newer PDFs. Does anyone have a feeling for how big a risk this is? I tried for a while to search google for pdf metadata and the distribution of pdf documents of different versions, but could find nothing useful to report.

The PDF 1.4 specification appears to have been published in November, 2001.

Is updating pdf() to version="1.4" feasible?

Discussions on this topic will be watched with interest.

Kevin Wright



R-devel@r-project.org mailing list
https://stat.ethz.ch/mailman/listinfo/r-devel Received on Sat Sep 16 03:17:34 2006

Archive maintained by Robert King, hosted by the discipline of statistics at the University of Newcastle, Australia.
Archive generated by hypermail 2.1.8, at Fri 15 Sep 2006 - 18:30:07 GMT.

Mailing list information is available at https://stat.ethz.ch/mailman/listinfo/r-devel. Please read the posting guide before posting to the list.